Name:           jdepend
Version:        2.10
Release:        1
Summary:        Java Design Quality Metrics
License:        BSD-3-Clause
URL:            http://www.clarkware.com/
Source0:        https://github.com/clarkware/jdepend/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  ant java-devel javapackages-local

%description
JDepend traverses a set of Java class and source file directories and
generates design quality metrics for each Java package. JDepend allows
you to automatically measure the quality of a design in terms of its
extensibility, reusability, and maintainability to effectively manage
and control package dependencies.

%package javadoc
Summary: Javadoc for jdepend

%description javadoc
This package provides javadoc files for jdepend.

%package_help

%prep
%setup -q
find . -name "*.jar" -delete
find . -type d -exec chmod 755 {} \;
%mvn_file %{name}:%{name} %{name}

%build
ant jar javadoc

%install
%mvn_artifact jdepend:jdepend:%{version} dist/%{name}-%{version}.jar
%mvn_install -J build/docs/api

%files -f .mfiles
%doc README.md CHANGELOG.md docs
%license LICENSE.md

%files javadoc -f .mfiles-javadoc
%license LICENSE.md

%files help
%doc README.md docs

%changelog
* Wed Apr 26 2023 xu_ping <707078654@qq.com> - 2.10-1
- Upgrade to 2.10

* Mon May 9 2022 caodongxia <caodongxia@h-partners.com> - 2.9.1-23
- License compliance rectification

* Fri Feb 14 2020 gulining<gulining1@huawei.com> - 2.9.1-22
- Package init
